<?php
namespace WowGmbh\AmazonPay\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2018 WOW-GmbH <info@wow-gmbh.de>, WOW-GmbH.de
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Log
 */
class Log extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * amazonOrderReferenceId
     *
     * @var string
     */
    protected $amazonOrderReferenceId = '';

    /**
     * action
     *
     * @var string
     */
    protected $action = '';

    /**
     * payment
     *
     * @var \WowGmbh\AmazonPay\Domain\Model\Payment
     */
    protected $payment = '';

    /**
     * request
     *
     * @var string
     */
    protected $request = '';

    /**
     * request readable
     *
     * @var string
     */
    protected $requestText = '';

    /*
     * @var int
     */
    protected $responseStatus = 0;

    /**
     * response
     *
     * @var string
     */
    protected $response = '';

    /**
     * response readable
     *
     * @var string
     */
    protected $responseText = '';

    /**
     * Returns the amazonOrderReferenceId
     *
     * @return string $amazonOrderReferenceId
     */
    public function getAmazonOrderReferenceId()
    {
        return $this->amazonOrderReferenceId;
    }

    /**
     * Sets the amazonOrderReferenceId
     *
     * @param string $amazonOrderReferenceId
     * @return void
     */
    public function setAmazonOrderReferenceId($amazonOrderReferenceId)
    {
        $this->amazonOrderReferenceId = $amazonOrderReferenceId;
    }

    /**
     * @return string
     */
    public function getAction()
    {
        return $this->action;
    }

    /**
     * @param string $action
     */
    public function setAction($action)
    {
        $this->action = $action;
    }

    /**
     * @return Payment
     */
    public function getPayment()
    {
        return $this->payment;
    }

    /**
     * @param Payment $payment
     */
    public function setPayment($payment)
    {
        $this->payment = $payment;
    }

    /**
     * @return string
     */
    public function getRequest()
    {
        return $this->request;
    }

    /**
     * @param string $request
     */
    public function setRequest($request)
    {
        $this->request = $request;
    }

    /**
     * @return string
     */
    public function getRequestText()
    {
        return $this->requestText;
    }

    /**
     * @param string $requestText
     */
    public function setRequestText($requestText)
    {
        $this->requestText = $requestText;
    }

    /**
     * @return int
     */
    public function getResponseStatus()
    {
        return $this->responseStatus;
    }

    /**
     * @param int $responseStatus
     */
    public function setResponseStatus($responseStatus)
    {
        $this->responseStatus = $responseStatus;
    }

    /**
     * @return string
     */
    public function getResponse()
    {
        return $this->response;
    }

    /**
     * @param string $response
     */
    public function setResponse($response)
    {
        $this->response = $response;
    }

    /**
     * @return string
     */
    public function getResponseText()
    {
        return $this->responseText;
    }

    /**
     * @param string $responseText
     */
    public function setResponseText($responseText)
    {
        $this->responseText = $responseText;
    }

}