<?php
return array(
    'ctrl' => array(
        'title' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment',
        'label' => 'amazon_order_reference_id',
        'label_alt' => 'amazon_username',
        'label_alt_force' => true,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => true,
        /*'versioningWS' => 2,
        'versioning_followPages' => TRUE,

        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',*/
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'amazon_user_id,amazon_username,amazon_email,price,',
        'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('amazon_pay') . 'Resources/Public/Icons/tx_amazonpay_domain_model_payment.png'
    ),
    'interface' => array(
        'showRecordFieldList' => 'amazon_user_id, amazon_username, amazon_email, amazon_order_reference_id, amazon_order_reference_status, amount, currency_code, address_required, charge_on_shipment, log',
    ),
    'types' => array(
        '1' => array(
            'showitem' => 'amazon_user_id, amazon_username, amazon_email, 
		--palette--;LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.palette_amazon_order_reference_id_and_state;amazon_order_reference_id_and_state, 
		--palette--;LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.palette_amount_currency_code;amount_currency_code,
		--palette--;LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.palette_address_required_charge_on_shipment;address_required_charge_on_shipment,
        --div--;LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.tab_log, log'
        ),
    ),
    'palettes' => array(
        'amount_currency_code' => array('showitem' => 'amount, currency_code', 'canNotCollapse' => 1),
        'amazon_order_reference_id_and_state' => array(
            'showitem' => 'amazon_order_reference_id, amazon_order_reference_status',
            'canNotCollapse' => 1
        ),
        'address_required_charge_on_shipment' => array(
            'showitem' => 'address_required, charge_on_shipment,',
            'canNotCollapse' => 1
        ),
    ),
    'columns' => array(

        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
                ),
            ),
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_amazonpay_domain_model_payment',
                'foreign_table_where' => 'AND tx_amazonpay_domain_model_payment.pid=###CURRENT_PID### AND tx_amazonpay_domain_model_payment.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),

        't3ver_label' => array(
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            )
        ),

        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'starttime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'endtime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),

        'amazon_user_id' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.amazon_user_id',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'amazon_username' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.amazon_username',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'amazon_email' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.amazon_email',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'amazon_order_reference_id' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.amazon_order_reference_id',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'amazon_order_reference_status' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.amazon_order_reference_status',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'seller_note' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.seller_note',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'amount' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.amount',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            )
        ),
        'currency_code' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.currency_code',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('EUR', 'EUR'),
                    array('GBP', 'GBP'),
                    array('JPY', 'JPY'),
                    array('USD', 'USD'),
                ),
                'size' => 1,
                'maxitems' => 1,
            )
        ),

        'address_required' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.address_required',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'charge_on_shipment' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.charge_on_shipment',
            'config' => array(
                'type' => 'check',
            ),
        ),

        'log' => array(
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_payment.log_entries',
            'config' => array(
                'type' => 'inline',
                'foreign_table' => 'tx_amazonpay_domain_model_log',
                'foreign_field' => 'payment',
                'appearance' => array(
                    'useSortable' => false,
                    'showPossibleLocalizationRecords' => false,
                    'showRemovedLocalizationRecords' => false,
                    'showSynchronizationLink' => false,
                    'showAllLocalizationLink' => false,
                    'enabledControls' => array(
                        'info' => false,
                        'new' => false,
                        'dragdrop' => false,
                        'sort' => false,
                        'hide' => false,
                        'delete' => false,
                        'localize' => false,
                    ),
                ),

            ),
        ),

    ),
);