<?php
return array(
    'ctrl' => array(
        'title' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset',
        'label' => 'seller_note',
        'label_alt' => 'amount',
        'label_alt_force' => true,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => true,
        /*'versioningWS' => 2,
        'versioning_followPages' => TRUE,

        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',*/
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'charge_note,',
        'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('amazon_pay') . 'Resources/Public/Icons/tx_amazonpay_domain_model_paymentpreset.png'
    ),
    'interface' => array(
        'showRecordFieldList' => 'seller_note, amount, currency_code, address_required, charge_on_shipment, starttime, endtime',
    ),
    'types' => array(
        '1' => array(
            'showitem' => 'seller_note, 
            --palette--;LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.palette_amount_currency_code;amount_currency_code, 
            --palette--;LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.palette_address_required_charge_on_shipment;address_required_charge_on_shipment,
            --palette--;LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.palette_starttime_endtime;starttime_endtime'
        ),
    ),
    'palettes' => array(
        'amount_currency_code' => array('showitem' => 'amount, currency_code', 'canNotCollapse' => 1),
        'starttime_endtime' => array('showitem' => 'hidden, starttime, endtime,', 'canNotCollapse' => 1),
        'address_required_charge_on_shipment' => array('showitem' => 'address_required, charge_on_shipment,', 'canNotCollapse' => 1),
    ),
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
                ),
            ),
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_amazonpay_domain_model_paymentpreset',
                'foreign_table_where' => 'AND tx_amazonpay_domain_model_paymentpreset.pid=###CURRENT_PID### AND tx_amazonpay_domain_model_paymentpreset.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),

        't3ver_label' => array(
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            )
        ),

        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.hidden',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'starttime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.starttime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'endtime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.endtime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),

        'seller_note' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.seller_note',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'amount' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.amount',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            )
        ),
        'currency_code' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.currency_code',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('EUR', 'EUR'),
                    array('GBP', 'GBP'),
                    array('JPY', 'JPY'),
                    array('USD', 'USD'),
                ),
                'size' => 1,
                'maxitems' => 1,
            )
        ),

        'address_required' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.address_required',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'charge_on_shipment' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:amazon_pay/Resources/Private/Language/locallang_db.xlf:tx_amazonpay_domain_model_paymentpreset.charge_on_shipment',
            'config' => array(
                'type' => 'check',
            ),
        ),

    ),
);